Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyPairGenerator

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--java.security.KeyPairGenerator
                  |
                  +--org.bouncycastle.jce.provider.JDKKeyPairGenerator

Direct Known Subclasses:
  JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.EC, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA

public abstract class JDKKeyPairGenerator
extends java.security.KeyPairGenerator

Inner Class Summary
`static class` | `JDKKeyPairGenerator.DH`
`static class` | `JDKKeyPairGenerator.DSA`
`static class` | `JDKKeyPairGenerator.EC`
`static class` | `JDKKeyPairGenerator.ECDH`
`static class` | `JDKKeyPairGenerator.ECDHC`
`static class` | `JDKKeyPairGenerator.ECDSA`
`static class` | `JDKKeyPairGenerator.ECGOST3410`
`static class` | `JDKKeyPairGenerator.ElGamal`
`static class` | `JDKKeyPairGenerator.GOST3410`
`static class` | `JDKKeyPairGenerator.RSA`

Constructor Summary
`JDKKeyPairGenerator(java.lang.String algorithmName)`

Method Summary
`abstract java.security.KeyPair` | `generateKeyPair()`
`abstract void` | `initialize(int strength, java.security.SecureRandom random)`

Methods inherited from class java.security.KeyPairGenerator
`genKeyPair, getAlgorithm, getInstance, getInstance, getProvider, initialize, initialize, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyPairGenerator

    public JDKKeyPairGenerator(java.lang.String algorithmName)

Method Detail

### initialize

    public abstract void initialize(int strength,
                                    java.security.SecureRandom random)

  Overrides:
    `initialize` in class `java.security.KeyPairGenerator`

### generateKeyPair

    public abstract java.security.KeyPair generateKeyPair()

  Overrides:
    `generateKeyPair` in class `java.security.KeyPairGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD